/********Jelikož nemám sebemenší ponětí jak se dělají knihovny v c++ pro arduino a toto "vývojové prostředí" nebere knihovny v C (Jako například IAR Embedded workbench nebo AVR Studio), tak jsem se rozhodl, že alespon zanechám sůj kod v tomto příkladě***************/

//rgb led
//R - PB1
//B- PD6
//G - PD5


void setup() {
  // put your setup code here, to run once:
RGB_init();
RGB_set_color(255,255,0);
}

void loop() {
  // put your main code here, to run repeatedly:
  delay(1000);
RGB_set_color(255,255,255);
delay(1000);
RGB_set_color(52,64,128);
delay(1000);
RGB_set_color(0,200,144);

}
void RGB_init(){
  DDRB |= (1<<1);
  DDRD |= (1<<5);
  DDRD |= (1<<6);
  RGB_red_OFF();
  RGB_green_OFF();
  RGB_blue_OFF();
  TCCR1A |= _BV(COM1A1) | _BV(WGM10); // nastavení čítače pro pwm
  TCCR1B |= _BV(CS10) | _BV(WGM12);
  OCR1A = 0x00; // pwm compare hodnota pro red

  TCCR0A |= _BV(COM0A1) | _BV(WGM00) | _BV(WGM01);
 TCCR0B |= _BV(CS00);
  OCR0A =0x00;// pro blue

   TCCR0A |= _BV(COM0B1);
   OCR0B = 0x00;//green
  }
void RGB_red_OFF(){
  PORTB |= (1<<1);
  }

void RGB_red_ON(){
  PORTB &= ~(1<<1);
  }

void RGB_blue_OFF(){
 PORTD |= (1<<6);
  }
void RGB_blue_ON(){
  PORTD &= ~(1<<6);
  }
void RGB_green_OFF(){
 PORTD |= (1<<5);
  }
void RGB_green_ON(){
  PORTD &= ~(1<<5);
  }
void RGB_set_color(uint8_t RED,uint8_t GREEN,uint8_t BLUE){
RGB_red_ON();
RGB_blue_ON();
RGB_green_ON();
OCR1A = ~(RED);
OCR0A = ~(BLUE);
OCR0B = ~(GREEN);
 }

 /*void seven_colors(int number){
 switch(number){
case 1:RGB_set_color(255,0,0);
break;
case 2:RGB_set_color(0,255,0);
break;
case 3:RGB_set_color(0,0,255);
break;
case 4:RGB_set_color(255,255,0);
break;
case 5:RGB_set_color(255,0,255);
break;
case 6:RGB_set_color(255,0,0);
break;
case 7:RGB_set_color(0,255,255); 
break;
}
}*/

